#include "ComponentFactory.hpp"

namespace CosmicCore {
    CComponentFactory& globalComponentFactory = CComponentFactory::instance();

    CComponentFactory& CComponentFactory::instance() {
        static CComponentFactory factory;
        return factory;
    }
}

